Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005338opensim[REGION] OpenSim Corepublic2011-01-20 01:562011-06-03 14:11
Reporteraiaustin 
Assigned Tojustincc 
PrioritynormalSeveritytextReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005338: OpenSimDefaults.ini missing section for [FreeSwitchVoice]
DescriptionFiles affected:
   OpenSimDefaults.ini
   OpenSim.ini.example
   Robust.ini.example
   Robust.HG.ini.example

OpenSimDefaults.ini should have a copy of the [FreeSwitch] section that is already in OpenSim.ini.example.

The port number used (8002?) should be made consistent with the example connectors used in Robust.ini.example (8002) and Robust.HG.ini.example (8002). The current example in OpenSim.ini.example uses 8003.
Additional InformationPlease also consider naming of OpenSimDefaults.ini file before 0.7.1 is moved to become a release. It is out of file name style (and thus in an odd alphabetically sorted location) when looking in the bin directory. OpenSim.Defaults.ini naming would work better.
TagsNo tags attached.
Git Revision or version number0.7.1 dev master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0018301)
justincc (administrator)
2011-04-19 14:43

Various config issues are addressed in 2fa210243b64bb10fbca37f89176f10efeb25f41 and b786860bac7adec165843374ebe72b28f9519b78

As FreeSWITCH is an optional module, I don't think that it should be in OpenSimDefaults.ini. It doesn't make too much difference if it isn't here.

Port numbers appear to be consistently 8003.

Regarding OpenSimDefaults.ini, we do have inconsistency over naming. One could also argue that the current case is more consistent with the various files in config-include. I think we might have to deal with all consistency issues at a later date when there is a better opportunity to formulate some kind of policy.
(0018545)
justincc (administrator)
2011-06-03 14:11

Closed as not really a bug.

- Issue History
Date Modified Username Field Change
2011-01-20 01:56 aiaustin New Issue
2011-01-20 01:56 aiaustin Git Revision => 0.7.1 dev master
2011-01-20 01:56 aiaustin SVN Revision => 14811
2011-01-20 01:56 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2011-01-20 01:56 aiaustin Physics Engine => ODE
2011-01-20 01:56 aiaustin Environment => .NET / Windows32
2011-01-20 01:56 aiaustin Mono Version => None
2011-01-20 02:00 aiaustin Additional Information Updated
2011-04-11 15:43 justincc Status new => assigned
2011-04-11 15:43 justincc Assigned To => justincc
2011-04-19 14:43 justincc Note Added: 0018301
2011-06-03 14:11 justincc Status assigned => closed
2011-06-03 14:11 justincc Note Added: 0018545
2011-06-03 14:11 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker